%define anolis_release 1
%global debug_package %{nil}

Name:           rocketmq
Version:        4.9.0
Release:        %{anolis_release}%{?dist}
Summary:        Apache RocketMQ is a distributed messaging and streaming platform
License:        Apache License, Version 2.0
Group:          Applications/Communications
Url:		https://codeup.openanolis.cn/codeup/projects/rocketmq
Source0:        %{name}-all-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

# fix broken remoting tlstest caused by enhanced crypto policies on anolis 8
Patch0:         skip-broken-remoting-tlstest-on-enhanced-crypto-policies-8.patch
Patch1:         set-encoding-utf8-on-maven-surefire-plugin.patch

ExclusiveArch: x86_64
BuildRequires:  maven
Requires:       java-1.8.0-openjdk

%description
Apache RocketMQ is a distributed messaging and streaming platform with low latency, high performance and reliability, trillion-level capacity and flexible scalability.

%prep
%setup -q -n %{name}-%{name}-all-%{version}
%patch0 -p0
%patch1 -p0

%build
mvn -Prelease-all -V clean package

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
cd distribution/target/%{name}-%{version}/%{name}-%{version}
mkdir -p %{buildroot}/opt/%{name}
cp -r bin %{buildroot}/opt/%{name}/
cp -r conf %{buildroot}/opt/%{name}/
cp -r lib %{buildroot}/opt/%{name}/
cp -r benchmark %{buildroot}/opt/%{name}/
cp -r LICENSE %{buildroot}/opt/%{name}/
cp -r NOTICE %{buildroot}/opt/%{name}/
cp -r README.md %{buildroot}/opt/%{name}/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE NOTICE README.md
/opt/%{name}/bin/*
/opt/%{name}/lib/*
%config(noreplace) /opt/%{name}/conf/*
/opt/%{name}/benchmark/*
/opt/%{name}/LICENSE
/opt/%{name}/NOTICE
/opt/%{name}/README.md


%changelog
* Fri Jun 18 2021 Weitao Zhou <zhouwtlord@gmail.com> - 4.9.0-1
- Init version of 4.9.0
